using System.ComponentModel;

namespace Mintfix.Client
{

	public enum AuthResult
	{
		[Description("NotificationService")]
		NoError = 0,
		[Description("ConnectionError")]
		ConnectionFailed = 1,
		[Description("ServiceError")]
		ServiceError = 2,
		[Description("AuthError")]
		AuthError = 3,
        [Description("UnknownError")]
		UnknownError = 4

	}

	public enum SettingsState
	{
		AllInfo = 1,
		ProtectedAuth = 0,
		NoInfo = -1
	}

	public enum EditSettingsResult
	{
		OK = 1,
		Failed = 2,
		Close = 3
	}

}
