using System;
using System.IO;

namespace Mintfix.Client
{
    static internal class Logger
    {
        public static void WriteLog ( string action , string errorType , string  description )
        {
            using(var writer = new StreamWriter("log.txt",true))
            {
                string logString = DateTime.Now.ToString("dd.MM.yyyy H:mm") + " \t " + action + " \t " + errorType +
                                   " \t " + description + "\t \n";
                writer.WriteLine(logString);
            }
        }

        public static void WriteLog(string errorType, string description)
        {
            WriteLog(String.Empty, errorType, description);
        }
    }
}